﻿Imports System.Globalization

Public Class Teste

    Public Shared Function carregaListaPaises() As List(Of String)
        'cria uma lista de paises
        Dim CulturaLista As New List(Of String)()

        'Obtem a cultura especifica a partir da classe CultureInfo
        Dim getCultureInfo() As CultureInfo = CultureInfo.GetCultures(CultureTypes.SpecificCultures)

        For Each getCulture As CultureInfo In getCultureInfo
            'cria um objeto da classe RegionInfo
            Dim GetRegionInfo As New RegionInfo(getCulture.LCID)
            'Incluir cada nome de pais no arraylist
            If Not (CulturaLista.Contains(GetRegionInfo.DisplayName)) Then
                CulturaLista.Add(GetRegionInfo.DisplayName)
            End If
        Next getCulture
        'ordena o array usando o método sort para obter os paises em ordem alfabética
        CulturaLista.Sort()
        'retorna a lista de paises
        Return CulturaLista
    End Function

End Class
