﻿Public Class Form1

    Dim cbox As New ComboBox With {.Sorted = True}
    Dim NomePais, NomeMoeda, SimboloMoeda, CulturaAtualDoComputador As String
    Dim PaisIndice As Integer
    Dim i As Integer



    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        CulturaAtualDoComputador = Globalization.RegionInfo.CurrentRegion.DisplayName
        For Each Country In Globalization.CultureInfo.GetCultures(Globalization.CultureTypes.InstalledWin32Cultures)
            'muda região
            My.Application.ChangeCulture(Country.Name)
            NomePais = Globalization.RegionInfo.CurrentRegion.DisplayName
            If combobox1.Items.Contains(NomePais) = False Then
                'adiciona o nome do pais na combo
                combobox1.Items.Add(NomePais)
                'adiciona nome do pais e informações na outra combo
                cbox.Items.Add(NomePais & "/" & Globalization.RegionInfo.CurrentRegion.CurrencyNativeName & " = " & Globalization.RegionInfo.CurrentRegion.CurrencySymbol)
            End If
            'limpa o cache
            My.Application.Culture.ClearCachedData()
        Next
        'verifica a cultura atual e atribui às combobox
        If cbox.Items.Count > 0 Then
            PaisIndice = combobox1.FindString(CulturaAtualDoComputador)
            cbox.SelectedIndex = PaisIndice
            combobox1.SelectedIndex = PaisIndice
        End If
    End Sub
    Private Sub btnVerificar_Click(sender As Object, e As EventArgs) Handles btnVerificar.Click
        verificarMoeda()
    End Sub
    Private Sub verificarMoeda()
        'obtem o indice do pais selecionado
        i = combobox1.FindString(combobox1.Text)
        'atribui á combo com as informa~ções
        cbox.SelectedIndex = i
        'seleciona o nome da moeda e o simbolo
        NomeMoeda = cbox.SelectedItem.ToString.Remove(0, cbox.SelectedItem.ToString.IndexOf("/") + 1)
        'NomeMoeda = NomeMoeda.Substring(0, NomeMoeda.IndexOf("="))
        SimboloMoeda = cbox.SelectedItem.ToString.Remove(0, cbox.SelectedItem.ToString.IndexOf("=") + 1).Trim
        'exibe as informações
        lblinfo.Text = combobox1.Text & " Moeda =>  " & NomeMoeda & Environment.NewLine & Environment.NewLine & "Símbolo : " & SimboloMoeda
    End Sub
    Private Sub combobox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles combobox1.SelectedIndexChanged
        verificarMoeda()
    End Sub

    Private Sub bntSair_Click(sender As Object, e As EventArgs) Handles bntSair.Click
        Me.Close()
    End Sub
End Class
